isutf8(1)

NAME
isutf8 - check whether files are valid UTF-8

SYNOPSIS
isutf8
[-hqliv] [--help] [--quiet] [--list] [--invert] [--verbose] [file...]

DESCRIPTION
isutf8 checks whether files are syntactically valid UTF-8. Input is either files named on the command line, or the standard input. Notices about files with invalid UTF-8 are printed to standard output.

OPTIONS

\FC-h\F[], \FC--help\F[]
    Print out a help summary.

\FC-q\F[], \FC--quiet\F[]
    Don't print messages telling which files are invalid UTF-8, merely indicate it with the exit status.

\FC-l\F[], \FC--list\F[]
    Print only the names of files containing invalid UTF-8.

\FC-i\F[], \FC--invert\F[]
    Invert the selection: list UTF-8 compatible files.

\FC-v\F[], \FC--verbose\F[]
    Also print an hexdump-like view of the error and some context.

EXIT STATUS
If the file is valid UTF-8, the exit status is zero. If the file is not valid UTF-8, or there is some error, the exit status is non-zero.

AUTHOR
Lars Wirzenius, Julien Palard

SEE ALSO
utf8(7)